.step14
    YuriHeader(
        title="Resumen"
        tag="Quiero invertir"
    )

    b-row.form(class="justify-content-center")
        b-col(cols="12" lg="10")

            .l-subtitle Confirmación

            .mt-4
                b.l-text Intervinientes de la cuenta

            .mt-2.border-bottom.border-light.pb-2.mb-2(v-for="(item, indexIntervener) in interveners" :key="indexIntervener")
                .d-flex.flex-column_.justify-content-between.align-items-center.flex-wrap
                    div
                        .d-flex.align-items-center.flex-wrap
                            span {{ item.name || '' }} {{ item.lastname_1 || '' }} {{ item.lastname_2 || '' }}
                            span.small.ml-2 - {{ item.document_number || '' }}
                            span.text-muted.small.ml-1 ({{ item.document_type.key ? (item.document_type.key == 'NIF' ? 'DNI' : $t(`documents.${item.document_type.key}`)) : item.document_type }})
                            //- span.ml-1.small - Nacido el {{ item.birthdate | moment('DD-MMM-YYYY') }}
                            //- span.small(v-if="item.country") , {{ $t(`countries.${item.country.key}`) }}
                            //- span.ml-1.small(v-if="item.place_of_birth") ({{ $t(`countries.${item.place_of_birth.key}`) }})
                        .d-flex.align-items-center.flex-wrap
                            .small.color-brand(v-for="(role, indexRole) in item.roles" :key="indexRole") 
                              span {{ role && role.key ? $t(`intervenersStats.all.${role.key}`) : 'Sin rol definido' }}
                              span.mr-1 {{indexRole < item.roles.length - 1 ? `, ` : ``}}
                    RouterLink(
                        v-if="item.name && !item.kyc"
                        class="color-brand small"
                        :to="{ path: 'paso6', query: { intervener: indexIntervener + 1 }}"
                    ) Editar
                    RouterLink(
                        v-else-if="!item.kyc"
                        class="color-brand small"
                        :to="{ path: 'paso6', query: { intervener: indexIntervener + 1, pj: true }}"
                    ) Editar
            RouterLink(
                class="color-brand small"
                :to="{ path: 'paso11', query: { edit: true }}"
            )
                i.fal.fa-edit.mr-2.color-brand
                | Añadir o eliminar intervinientes
            b-row.mt-4
                b-col(cols="12")
                    b.l-text Datos de contacto
            b-row.mt-2
                b-col(cols="12")
                    .l-text {{ info.email }}
                b-col(cols="12")
                    .l-text {{ info.mobile_phone_prefix }} {{ info.mobile_phone }}
            b-row.mt-2(v-if="postal_address")
                b-col(cols="12")
                    .l-text
                    .d-flex.flex-wrap
                        span.mr-1.text-muted {{ postal_address.street_type && postal_address.street_type.key ? $t(`streetTypes.${postal_address.street_type.key}`) : '' }}
                        span.mr-1 {{ postal_address.street_1 }}
                        span.mr-1(v-if="postal_address.number") {{ postal_address.number }}
                        span.mr-1(v-if="postal_address.floor") , {{ postal_address.floor }}
                        span.mr-1(v-if="postal_address.door") , {{ postal_address.door }}
                        span.mr-1(v-if="postal_address.postal_code") , {{ postal_address.postal_code }}
                        i.mr-1(v-if="postal_address.postal_code") - {{ postal_address.city }},
                        span.mr-1(v-if="postal_address.state") {{postal_address.state.name}}

            .mt-5.border-bottom.pb-2.mb-4.color-brand
                b Operaciones
            b-row.mt-2.border-bottom.border-light.mb-2.pb-2
                b-col(cols="12" sm="3")
                    b Producto
                b-col(cols="12" sm="3")
                    b Tipo
                b-col(cols="12" sm="3")
                    b Importe
                b-col(cols="12" sm="3")
                    div
            b-row.border-bottom.border-light.mb-2.pb-2.mt-2(v-for="(item, indexOperations) in operations" :key="`operation__${indexOperations}`")
                b-col(cols="12" sm="3")
                    .d-flex.flex-column
                        span {{ item.selectedProduct.name }}
                        span.small.text-muted {{ item.selectedOperation.name }}
                b-col(cols="12" sm="3")
                    div {{ item.productType }}
                b-col(cols="12" sm="3")
                    div {{ item.operationData.grossAmount }} €
                b-col(cols="12" sm="3")
                    div
                        RouterLink(
                            class="color-brand small"
                            :to="{ path: 'paso13', query: { operation: indexOperations + 1 }}"
                        ) Editar
                        .fas.fa-trash.ml-2.color-error.cursor-pointer(
                            v-if="indexOperations > 0"
                            v-b-modal="`modal`"
                            v-b-tooltip.hover title="Eliminar operación"
                            @click="selectedOperationIndex = indexOperations"
                        )
                        .fas.fa-trash.ml-2.color-grey(v-else v-b-tooltip.hover title="Debe haber al menos una operación")
            RouterLink(
                class="color-brand small"
                :to="{ path: 'paso13', query: { operation: 'add' }}"
            )
                i.fal.fa-plus.mr-2
                | Añadir operación
            .d-flex.justify-content-end.mt-3.mt-md-5
                span(
                    v-if="!loading"
                    class="e-btn e-btn__brand"
                    @click="handleNext()"
                ) Confirmar
                span(
                    v-else
                    class="e-btn e-btn__brand step2__continue"
                )
                    i.fas.fa-circle-notch.fa-spin

    b-modal(:id="`modal`" title='Eliminar operación' centered)
        .my-3 ¿Estás seguro de querer eliminar la operación?
        div(v-if="operations[selectedOperationIndex]")
            b {{ operations[selectedOperationIndex].selectedOperation.name }} ({{ operations[selectedOperationIndex].productType }}) 
            | {{ operations[selectedOperationIndex].selectedProduct.name }} {{ operations[selectedOperationIndex].operationData.grossAmount}} €
        template(v-slot:modal-footer='{ ok, cancel }')
            // Emulate built in modal footer ok and cancel button actions
            b-button(size='sm' variant='danger' @click='removeOperation()')
                | Sí, eliminar
            b-button(size='sm' variant='light' @click='cancel()')
                | Cancelar